package com.orangesale.cn.service;

import com.orangesale.cn.entity.OrangeUser;
import com.orangesale.cn.mapper.UserMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author zhijun
 * @Date 2019/12/13
 */
@Service
public class UserService {
    @Autowired
    private UserMapper userMapper;

    /**
     * 用户注册验证
     *
     * @param orangeUser
     * @return
     */
    public OrangeUser userLogin(OrangeUser orangeUser) {
        return userMapper.userLogin(orangeUser);
    }

    /**
     * 用户注册
     *
     * @param orangeUser
     * @return
     */
    public Integer userRegister(OrangeUser orangeUser) {
        return userMapper.userRegister(orangeUser);
    }

}
